Bug 29306 - Holds.t: Fix Use of uninitialized value $_ in concatenation (.) or string
Summary: Holds.t: Fix Use of uninitialized value $_ in concatenation (.) or string
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-22 08:17 UTC by Marcel de Rooy
Modified: 2021-11-15 04:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12


Attachments
Bug 29306: Fix warning on undefined $_ in Holds.t (1.10 KB, patch)
2021-10-22 08:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29306: Fix warning on undefined $_ in Holds.t (1.12 KB, patch)
2021-10-24 10:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-10-22 08:17:02 UTC
Use of uninitialized value $_ in concatenation (.) or string at t/db_dependent/Holds.t line 1658.
            surname      => 'my surname ' . $_,

Pasted from another line within a loop
Comment 1 Marcel de Rooy 2021-10-22 08:20:36 UTC
Created attachment 126691 [details] [review]
Bug 29306: Fix warning on undefined $_ in Holds.t

Use of uninitialized value $_ in concatenation (.) or string at t/db_dependent/Holds.t line 1658.

Results from copying line 70.

Test plan:
Run Holds.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2021-10-22 08:20:56 UTC
So trivial. Self signoff
Comment 3 Katrin Fischer 2021-10-24 10:21:41 UTC
Created attachment 126797 [details] [review]
Bug 29306: Fix warning on undefined $_ in Holds.t

Use of uninitialized value $_ in concatenation (.) or string at t/db_dependent/Holds.t line 1658.

Results from copying line 70.

Test plan:
Run Holds.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-25 13:59:21 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-29 13:39:28 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Fridolin Somers 2021-11-10 23:35:55 UTC
Pushed to 20.11.x for 20.11.12
Comment 7 Victor Grousset/tuxayo 2021-11-15 04:38:33 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.